Media Endpoint
URL: https://www.realtracs.com/reso/Media
The Media endpoint provides information about media in Realtracs. Our Media resource is fully data dictionary compliant.
For a list of fields available, please reference our metadata.
Supported Queries
You can query the Media endpoint using the following fields:
- ListingKey -- Returns media for a specific listing
- MediaCategory -- Returns media of a specific type (Photo, Document, etc)
Please refer to the billing documentation to understand how querying on different fields impacts your transaction cost.
Sorting
- Records are sorted by
ListingKey,theMediaCategory, and thenDisplayOrderby default. - No other order by other than the above is supported.
Universal Resource Links (URLs)
We host photos (JPEG format) and documents (PDF format) and the URL provided can be used to download that content directly from us or one of our CDN providers. Please reference our billing documentation for related costs.
For all other Media Category types, users in our platform may add URLs to third parties (videos, school zone information, virtual tours, etc). As a convenience, we provide these URLs to you. However, this content is not hosted by Realtracs. Follow these links at your own discretion.
Example
GET https://www.realtracs.com/reso/Media?$filter=ListingKey eq '123' eq MediaCategory eq 'Photo'
Understanding Timestamps
When a photo (or document) changes for a Listing, we update the PhotosChangeTimestamp or DocumentsChangeTimestamp
on the Property record, respectively. We also update the ModificationTimestamp on the Property record.
When a photo is rotated or a new photo is uploaded, the Media record's MediaModificationTimestamp timestamp
will be updated as well as the record's ModificationTimestamp. However, if a user simply updates the caption
for a photo or changes its display order, the MediaModificationTimestamp will remain unchanged and
only the ModificationTimestamp will change.
If you redownload all photos for a listing everytime a listing's ModificationTimestamp changes (or even
everytime a Listing's PhotosChangeTimestamp is updated), then the vast majority (probably 90%+) of
your downloads will be unnecessary. Further, if you redownload a photo everytime its Media record
ModificationTimestamp updates, many of your photo downloads will be unnecessary as many of these updates
are simply changes to the DisplayOrder field.
Instead, for each photo store a local copy of the Media's MediaModificationTimestamp and only redownload a
photo if it's MediaModificationTimestamp has changed. Please keep in mind that our timestamps are
recorded to the microsecond.
Without following the above recommendations, you may incur excessive Media Data Transfer costs.
Best Practices
- Store a local copy of the Media's
MediaModificationTimestampand only redownload a photo if it'sMediaModificationTimestamphas changed. - Only query the Media resource if a listing's
ModificationTimestamphas been updated. - Avoid querying the Property resource on
PhotosChangeTimestamporDocumentsChangeTimestamp.